# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(IPC/Cmd.pm) perl(Test/Alien.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define module_name Alt-Alien-cmake3-System
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0402
Release: alt1
Summary: Simplified alternative to Alien::cmake3 that uses system cmake
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alt::Alien::cmake3::System

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution provides an alternative implementation of Alien::cmake3 that only works with a 
system cmake.  It is intended for testing the core of the Alien::Build manpage, which includes optional 
tests that use the Alien::cmake3 manpage.  The problem with using the real the Alien::cmake3 manpage for testing the 
core of the Alien::Build manpage in CI is that the Alien::cmake3 manpage also depends on the Alien::Build manpage.  This module
may also be useful for system integrators, although I discourage it for that use, as this module may
not be as well supported as the real the Alien::cmake3 manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.0402-alt1
- initial import by package builder

